%global srcname flask-cors

Name:           python-%{srcname}
Version:        3.0.3
Release:        5%{?dist}
Summary:        Cross Origin Resource Sharing (CORS) support for Flask
License:        MIT
URL:            https://github.com/corydolphin/%{srcname}
# We are using this Source0 url because the  tag name available on github
# is not equal of the downloaded file. flask-cors has a 3.0.3.tar.gz tag,
# but the downloaded file is named flask-cors-3.0.3.tar.gz.
# As rpmbuild gets the source base name from Source0 url to build the package,
# this change is necessary.
# For more informations, check this issue: https://pagure.io/packaging-committee/issue/233
Source0:        https://github.com/corydolphin/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%package -n python3-%{srcname}
Summary:        Cross Origin Resource Sharing (CORS) support for Flask
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist flask six nose}
Requires:       %{py3_dist flask six}

%description -n python3-%{srcname}
Python3 flask_cors package.

%prep
%autosetup -n %{srcname}-%{version}

%build
{%py3_build}

%install
{%py3_install}

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG.md README.rst
%{python3_sitelib}/flask_cors/
%{python3_sitelib}/Flask_Cors*.egg-info/

%changelog
* Tue Nov 21 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-5
- remove debug_package macro
- Add BuildArch to parent package and remove from subpackage

* Tue Nov 21 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-4
- Add python- prefix on source name
- Add a blank line between each changelog report.
- Change the path to build the package on prep step.

* Mon Nov 20 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-3
- Fix Source0 commentary.

* Sun Nov 19 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-2
- Use py3_install and py3_build instead of {__python3}
- Generates a sub package called python3-flask-cors, and keep the source name
as python-flask-cors
- Use py3_dist to resolve Requires and BuildRequires
- Fix rpmlint warnings

* Tue Nov 07 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-1
- Initial packaging work for Fedora
